﻿-- Name:		register.lua
-- Description:	Registers the moveAllImplements specialization
-- Author:		Noobgetier (omgz@gmx.de)
-- Version:		1.0
-- Date:		2013-02-09
-- Change log:	1.0 - inital release


SpecializationUtil.registerSpecialization("moveAllImplements", "moveAllImplements", g_currentModDirectory .. "moveAllImplements.lua")

register_moveAllImplements = {}

function register_moveAllImplements:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		print(" -> Registering moveAllImplements specialization by Noobgetier (omgz@gmx.de)");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do  
			if v ~= nil then
				local doRegister = false;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
						table.insert(v.specializations, SpecializationUtil.getSpecialization("moveAllImplements"));
						vs.LIFT_IMPLEMENT = g_i18n:getText("LIFT_IMPLEMENT");
						vs.LOWER_IMPLEMENT = g_i18n:getText("LOWER_IMPLEMENT");
					end;
				end;	
			end;
		end;
	end;
end;

function register_moveAllImplements:deleteMap()
end;

function register_moveAllImplements:keyEvent(unicode, sym, modifier, isDown)
end;

function register_moveAllImplements:mouseEvent(posX, posY, isDown, isUp, button)
end;

function register_moveAllImplements:update(dt)
end;

function register_moveAllImplements:draw()
end;

addModEventListener(register_moveAllImplements);